version: '3'

services:
  qq-farm-bot:
    image: qt0361/qq-farm-bot:latest #x86 docker
    #image: qt0361/qq-farm-bot:arm64 #arm docker
    container_name: qq-farm-bot
    restart: unless-stopped
    ports:
      - "3000:3000"
    volumes:
      - ./data:/app/data
      - ./share:/app/share  # 改为挂载目录，而非单个文件
    environment:
      - TZ=Asia/Shanghai